#
# Conditonal build:
%bcond_without	static_libs	# static library
#
Summary:	A C++ client library for the CMIS interface
Summary(pl.UTF-8):     Biblioteka klienta C++ dla inferfejsu CMIS
Name:		libcmis
Version:	0.3.1
Release:	3
License:	GPL v2+ or LGPL v2+ or MPL v1.1
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libcmis/%{name}-%{version}.tar.gz
# Source0-md5:	a60f503fa011174737dd603fb345d9e1
Patch0:		%{name}-link.patch
URL:		http://sourceforge.net/projects/libcmis/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake
BuildRequires:	boost-devel
BuildRequires:	curl-devel >= 7.12.3
BuildRequires:	docbook2X >= 0.8.8-4
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
Requires:	curl-libs >= 7.12.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibCMIS is a C++ client library for the CMIS interface. This allows
C++ applications to connect to any ECM behaving as a CMIS server like
Alfresco, Nuxeo for the open source ones.

%description -l pl.UTF-8
LibCMIS to biblioteka klienta C++ dla interfejsu CMIS. Pozwala ona 
aplikacjom C++ na łączenie się z każdym ECM zachowującym się jako
serwer CMIS, taki jak Alfresco, Nuxeo (biorąc pod uwagę implementacje
o otwartych źródłach).

%package devel
Summary:	Development files for CMIS library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki CMIS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	boost-devel
Requires:	curl-devel >= 7.12.3
Requires:	libstdc++-devel
Requires:	libxml2-devel >= 2.0

%description devel
This package contains the header files for developing applications
that use CMIS library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji opartych na
bibliotece CMIS

%package static
Summary:	Static CMIS library
Summary(pl.UTF-8):	Statyczna biblioteka CMIS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static CMIS library.

%description static -l pl.UTF-8
Statyczna biblioteka CMIS.

%package tools
Summary:	Command line tool to access CMIS
Summary(pl.UTF-8):	Narzędzie wiersza poleceń dla CMIS
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description tools
This package contains a tool for accessing CMIS from the command line.

%description tools -l pl.UTF-8
Ten pakiet zawiera narzędzie do łączenia się do CMIS z wiersza
poleceń.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e 's/docbook-to-man/docbook2X2man/' configure.ac

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	--disable-tests \
	--disable-werror

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libcmis-0.3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcmis-0.3.so.3
%attr(755,root,root) %{_libdir}/libcmis-c-0.3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcmis-c-0.3.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcmis-0.3.so
%attr(755,root,root) %{_libdir}/libcmis-c-0.3.so
%{_includedir}/libcmis-0.3
%{_includedir}/libcmis-c-0.3
%{_pkgconfigdir}/libcmis-0.3.pc
%{_pkgconfigdir}/libcmis-c-0.3.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcmis-0.3.a
%{_libdir}/libcmis-c-0.3.a
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cmis-client
%{_mandir}/man1/cmis-client.1*
%changelog
* Mon Jul 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcmis.git;a=log;h=master

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> 3638a56
- release 3 (by relup.sh)

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> ed1fb75
- release 2 (by relup.sh)

* Sat Feb 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 0923750
- updated to 0.3.1

* Thu Dec 06 2012 Jan Rękorajski <baggins@pld-linux.org> a901c98
- release 2 (by relup.sh)

* Fri Sep 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 3a43359
- updated to 0.3.0 (new soname; introduced libcmis-c library)
- added link patch to fix libcmis-c linking

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 405875d
- release 2 (by relup.sh)

* Sun Aug 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 1309748
- versioned curl dependency
- added -devel dependencies
- package NEWS file

* Thu Aug 09 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ffb7ff
- pc file is back

* Thu Aug 09 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 905f2b6
- up to 0.2.3

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> f21624b
- Rebuild with boost 1.50
Release 3

* Sat Mar 17 2012 Jakub Bogusz <qboosh@pld-linux.org> a25e2f4
- pl fixes, added -static

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c74f0ee
- release 2

* Tue Feb 21 2012 blekot <blekot@pld-linux.org> e474604
- pl

* Sat Feb 11 2012 Elan Ruusamäe <glen@pld-linux.org> 102a963
- -devel does not require pkgconfig
- ghost soname symlinks
- no packaging of common licenses

* Sat Feb 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b0b294
- new; half raw

